Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.layout
Class FormLayout

    java.lang.Object
      com.gwtext.client.widgets.layout.ContainerLayout
          com.gwtext.client.widgets.layout.AnchorLayout
              com.gwtext.client.widgets.layout.FormLayout

    public class FormLayout

extends AnchorLayout

Field Summary

Fields inherited from class com.gwtext.client.widgets.layout.ContainerLayout
`configJS`

Constructor Summary
`FormLayout()`

Method Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject config)`
`void` | `setHideLabels(boolean hideLabels)` True to hide field labels by default (defaults to false).
`void` | `setItemCls(java.lang.String itemCls)` A CSS class to add to the div wrapper that contains each field label and field element (the default class is 'x-form-item' and itemCls will be added to that).
`void` | `setLabelAlign(Position labelAlign)` Valid values are "left," "top" and "right" (defaults to "left").
`void` | `setLabelPad(int labelPad)` The default padding in pixels for field labels (defaults to 5).
`void` | `setLabelWidth(int labelWidth)`

Methods inherited from class com.gwtext.client.widgets.layout.AnchorLayout
`getContainerAttributes`

Methods inherited from class com.gwtext.client.widgets.layout.ContainerLayout
`getActiveItem, getJsObj, getSpacing, setExtraCls, setRenderHidden, setSpacing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormLayout

    public FormLayout()

Method Detail

### setHideLabels

    public void setHideLabels(boolean hideLabels)

  True to hide field labels by default (defaults to false).

  Parameters:
    `hideLabels` - true to hide field labels by default (defaults to false)

### setItemCls

    public void setItemCls(java.lang.String itemCls)

  A CSS class to add to the div wrapper that contains each field label and field element (the default class is 'x-form-item' and itemCls will be added to that).

  Parameters:
    `itemCls` - a CSS class to add to the div wrapper that contains each field label and field element (the default class is 'x-form-item' and itemCls will be added to that)

### setLabelAlign

    public void setLabelAlign(Position labelAlign)

  Valid values are "left," "top" and "right" (defaults to "left"). This property cascades to child containers if not set.

  Parameters:
    `labelAlign` - label alignment

### setLabelPad

    public void setLabelPad(int labelPad)

  The default padding in pixels for field labels (defaults to 5). labelPad only applies if labelWidth is also specified, otherwise it will be ignored.

  Parameters:
    `labelPad` - the default padding in pixels for field labels (defaults to 5). labelPad only applies if labelWidth is also specified, otherwise it will be ignored.

### setLabelWidth

    public void setLabelWidth(int labelWidth)

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject config)

  Overrides:
    `create` in class `AnchorLayout`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD